CVE-2009-0148

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Multiple buffer overflows in Cscope before 15.7a allow remote attackers to execute arbitrary code via long strings in input such as (1) source-code tokens and (2) pathnames, related to integer overflows in some cases. NOTE: this issue exists because of an incomplete fix for CVE-2004-2541.

References

http://lists.apple.com/archives/security-announce/2009/May/msg00002.html

http://secunia.com/advisories/34978

http://secunia.com/advisories/35074

http://secunia.com/advisories/35213

http://secunia.com/advisories/35214

http://secunia.com/advisories/35462

http://security.gentoo.org/glsa/glsa-200905-02.xml

http://sourceforge.net/forum/forum.php?forum_id=947983

http://sourceforge.net/mailarchive/forum.php?thread_name=E1LsGx3-00015K-TN%40ddv4jf1.ch3.sourceforge.com&forum_name=cscope-cvs

http://sourceforge.net/project/shownotes.php?group_id=4664&release_id=679527

http://support.apple.com/kb/HT3549

http://www.debian.org/security/2009/dsa-1806

http://www.openwall.com/lists/oss-security/2009/05/06/9

http://www.redhat.com/support/errata/RHSA-2009-1101.html

http://www.redhat.com/support/errata/RHSA-2009-1102.html

http://www.securityfocus.com/bid/34805

http://www.securitytracker.com/id?1022218

http://www.us-cert.gov/cas/techalerts/TA09-133A.html

http://www.vupen.com/english/advisories/2009/1238

http://www.vupen.com/english/advisories/2009/1297

https://bugzilla.redhat.com/show_bug.cgi?id=490667

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9633

Details

Source: MITRE

Published: 2009-05-05

Updated: 2017-09-29

Type: CWE-119

Risk Information

CVSS v2

Base Score: 9.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 8.6

Severity: HIGH

Tenable Plugins

View all (14 total)

IDNameProductFamilySeverity
67873Oracle Linux 5 : cscope (ELSA-2009-1102)NessusOracle Linux Local Security Checks
high
67872Oracle Linux 3 / 4 : cscope (ELSA-2009-1101)NessusOracle Linux Local Security Checks
high
60595Scientific Linux Security Update : cscope on SL3.x, SL4.x, SL5.x i386/x86_64NessusScientific Linux Local Security Checks
high
43756CentOS 5 : cscope (CESA-2009:1102)NessusCentOS Local Security Checks
high
39428FreeBSD : cscope -- multiple buffer overflows (c14aa48c-5ab7-11de-bc9b-0030843d3802)NessusFreeBSD Local Security Checks
high
39424CentOS 3 : cscope (CESA-2009:1101)NessusCentOS Local Security Checks
high
39413RHEL 5 : cscope (RHSA-2009:1102)NessusRed Hat Local Security Checks
high
39412RHEL 3 / 4 : cscope (RHSA-2009:1101)NessusRed Hat Local Security Checks
high
38883GLSA-200905-02 : Cscope: User-assisted execution of arbitrary codeNessusGentoo Local Security Checks
high
38880Debian DSA-1806-1 : cscope - buffer overflowsNessusDebian Local Security Checks
high
38744Mac OS X 10.5.x < 10.5.7 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
critical
38743Mac OS X Multiple Vulnerabilities (Security Update 2009-002)NessusMacOS X Local Security Checks
critical
5023Mac OS X 10.5 < 10.5.7 Multiple VulnerabilitiesNessus Network MonitorGeneric
critical
800792Mac OS X 10.5 < 10.5.7 Multiple VulnerabilitiesLog Correlation EngineOperating System Detection
high